skip to Main Content

Vores Woocommerce abonnementsbetaling virker ikke

SP:

Vores abonnementsbetalinger via Woocommerce webshop virker ikke. Vi tror det måske er vores Quickpay-betalings-gateway der ikke virker. Skal vi virkelig til at skifte Quickpay ud?

Ulrik:

Nej, det tror jeg ikke – i hvert fald ikke til at starte med.

Det ser nemlig ud som om følgende er galt:

I har licens til (eller jeres host har licens til) en række “add-ons” til Woocommerce.

En “add-on” er i øvrigt bare et andet ord for en Plugin – en lille ekstra-funktion til WordPress. Woocommerce kalder det også nogle gange for en “extension”. Jeg kalder det for “modul” herunder.

Nuvel, disse moduler er nogle som firmaet Woocommerce sælger som udvidelser til deres webshop Plugin som ellers er gratis. F.eks. er der modulet “Woocommerce Subscriptions” der skal spille sammen med Quickpay for at man kan betale for et abonnement. Dette modul kan købes for 199 USD om året hos Woocommerce

Man køber helt præcist en licens til at downloade den seneste udgave, og få opdateringer og support.

Men … under Kontrolpanel/Plugins står der med rødt i toppen at jeres

“subscription for Woocommerce Subscriptions has been deactivated”

Det samme gælder 3 andre add-ons/moduler på jeres site, f.eks. “Woocommerce Check-Out”. Så licensen til at bruge disse er fomodentlig udløbet.

I princippet kan Woocommerces moduler køre videre uden en ny licens, men efter som man ikke længere kan opdatere dem, så er man lidt på herrens mark. For på et tidspunkt vil der opstå fejl fordi man bliver ved med at bruge gamle udgaver af modulet.

Løsninger

Normalt ville I have en konto hos Woocommerce hvor I så kunne gå ind og forny licensen således her:

Upgrading and transferring licenses – Woocommerce

Men noget siger mig at det måske er jeres host/webudvikler der har denne licens, siden I ikke har været opmærksomme selv på at den er udløbet?

Man kan dog godt overføre licenser til en anden Woocommerce kundekonto, men så skal man selvfølgelig have sådan en i forvejen – og betale for en evt. fornyelse:

I har derfor følgende valg, som jeg vurderer det:

1) Hvis I selv har en Woocommerce konto, så se at få betalt og genaktiveret jeres subscription til alle modulerne

2) Hvis det er jeres host/udvikler som har så kontakt for at høre om de kan blive opdateret hvis dette er inklusive den pris I iøvrigt betaler for jeres hosting/site. Ellers skal I nok betale det til udvikleren (licensens fornyelse) + hvad udvikleren evt. skal have i honorar for at gøre det.

3) Alternativt kan I vælge at prøve selv at oprette en Woocommerce konto, købe en licens til de moduler I vil have og taste jeres såkaldte API-nøgler (en slags kode-nøgler der dokumenterer at man er kunde, groft sagt) ind det rigtige sted under Woocommerces indstillinger

Et eksempel

Jeg havde lidt samme sag med et Tema for en kunde, som var blevet købt af en tysk udvikler der havde lavet og tilpasse Temaet for ham og som havde ret til at sælge modificerede versioner af det videre til sine kunder (fordi nævnte udvikler betaler for en såkaldt developer license).

Det vi gjorde var bare at oprette en ny konto på det marked som Temaet var blevet købt på oprindeligt (Envato Market ) og så købe Temaet ligesom vi var almindelige kunder.

Så fik vi en kode/nøgle til licens og det stod nu i vores navn og vi kunne modtage support og fornyelser (igen – sålænge vi bliver ved med at betale selv sagt).
Jeg er ret sikker på at man kan gøre det samme hos Woocommerce, så I faktisk bare overtager licensen uden at spørge jeres udvikler om noget (eller betale ham/hende ekstra). Det står i hvert fald her at det er muligt:

“We are unable to divide a multisite key among different accounts. You can request that all 5 or 25 subscriptions be transferred to a single account. Otherwise, he/she must purchase his/her own subscription on their own WooCommerce.com account.”

Det det betyder er at hvis jeres udvikler har en “multiple license” til f.eks. at bruge Woo Sub modulet på 25 sites, så kan vedkommende IKKE overføre den licens til en kunde. Kunden skal købe sin egen licens. Så det burde som sagt være muligt. Hvis I vælger det.

BEMÆRK:

Uanset hvad I vælger ovenfor SKAL I opdateret ALT først – dvs. jeres WordPress og jeres Plugins. I har p.t. 16 opdateringer der ligger og vente!

Hvis Plugins og WordPress ikke er af nyeste version (og det gælder også Plugin’en der styrer Quickpay er der – selvsagt – muligheder for at de kan begynde at fejle. Lav gerne en backup først, for en sikkerheds skyld.

Af hensyn til jeres sites funktionalitet, stabilitet og sikkerhed (mod hackerangreb) bør i altid have alt opdateret.

Back To Top